format elf
section '.header' writeable
extrn '_start' as _start
public grub_magic as 'grub_magic'
public grub_flags as 'grub_flags'
public grub_checksum as 'grub_checksum'
public grub_header_addr as 'grub_header_addr'
public grub_load_addr as 'grub_load_addr'
public grub_load_end_addr as 'grub_load_end_addr'
public grub_bss_end_addr as 'grub_bss_end_addr'
public grub_entry_addr as 'grub_entry_addr'

; Grub Magic
grub_header:
grub_magic dd 0x1badb002
grub_flags dd 0x10003
grub_checksum dd -(0x1badb002 + 0x10003)

; Header Addrs
grub_header_addr dd grub_header
grub_load_addr dd 0
grub_load_end_addr dd 0
grub_bss_end_addr dd 0
grub_entry_addr dd _start
dd 0
dd 0
dd 0
dd 0
; grub_mode_type     = 1
; grub_width         = 80
; grub_height        = 25
; grub_depth         = 0
;
; grub_header:
; dd grub_magic
; dd grub_flags
; dd grub_checksum
; dd grub_header_addr
; dd grub_load_addr
; dd grub_load_end_addr
; dd grub_bss_end_addr
; dd grub_entry_addr
; dd grub_mode_type
; dd grub_width
; dd grub_height
; dd grub_depth
